
Synnefo - Feature # 451

Status: Closed Priority: Medium

Author: Giorgos Verigakis Category: Pithos

Created: 04/28/2011 Assignee: Sofia Papagiannaki

Updated: 02/08/2013 Due date:

Subject: API unit tests

Description

We need some unit tests that will test the API on a high level (do HTTP requests and check the replies).

Associated revisions

Revision 9df6ed1f - 05/17/2011 06:58 pm - Sofia Papagiannaki

Add unit tests for backend and API

    -  Tests the OpenStack Object Storage API v1 functionality plus the extras

    -  Tests the functionality of a BaseBackend which implements the API

Fixes #451

Fixes #453

Revision 9df6ed1f - 05/17/2011 06:58 pm - Sofia Papagiannaki 

Add unit tests for backend and API

    -  Tests the OpenStack Object Storage API v1 functionality plus the extras

    -  Tests the functionality of a BaseBackend which implements the API

Fixes #451

Fixes #453

Revision 3364a52a - 06/07/2011 11:58 am - Sofia Papagiannaki

#Fixes 451

History

#1 - 04/28/2011 06:20 pm - Giorgos Verigakis

- Target version set to 0.1

#2 - 05/17/2011 08:02 pm - Giorgos Verigakis

- Status changed from New to Closed

- Assignee changed from Antony Chazapis to Sofia Papagiannaki

#3 - 02/08/2013 07:01 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.1)
#4 - 02/08/2013 07:03 pm - Vangelis Koukis

- Category set to Pithos
